<?php
$_helper = $this->helper('Magento\Catalog\Helper\Output');
$_product = $block->getProduct();
$_code = $block->getAtCode();
$_className = $block->getCssClass();
$_attributeLabel = $block->getAtLabel();
$_attributeType = $block->getAtType();
$_attributeAddAttribute = $block->getAddAttribute();
$_attributeValue = "";

if ($_product->getTypeId() == \Magento\ConfigurableProduct\Model\Product\Type\Configurable::TYPE_CODE) {
	$_children = $_product->getTypeInstance()->getUsedProducts($_product);
	foreach ($_children as $child) {
		$_attributeValue = $child->getBarcodeEan();
		break;
	}
} else {
	$_attributeValue = $_product->getBarcodeEan();
}

if ($_attributeLabel && $_attributeLabel == 'default') {
	$_attributeLabel = $_product->getResource()->getAttribute($_code)->getFrontendLabel();
}
?>

<?php if ($_attributeValue) {?>
<div class="product attribute <?php /* @escapeNotVerified */echo $_className ?>">
<?php if ($_attributeLabel != 'none'): ?><strong class="type"><?php /* @escapeNotVerified */echo $_attributeLabel ?></strong><?php endif;?>
<span style="padding-left:9px;" class="value" <?php /* @escapeNotVerified */echo $_attributeAddAttribute; ?>><?php /* @escapeNotVerified */echo $_attributeValue; ?></span>
</div>
<?php }?>


